Evaluators
Start a pending upload
POST
/evaluators/{name}/versions/{version}/startPendingUploadInitiates a new pending upload or retrieves an existing one for the specified evaluator version.
Path ParametersQuery Parameters
namestringrequired
The name path parameter.versionstringrequired
The specific version id of the EvaluatorVersion to operate on.api-versionstringrequired
The API version to use for this operation.Request BodyThe pending upload request parametersContent-Type: application/json
pendingUploadIdstring
If PendingUploadId is not provided, a random GUID will be used.connectionNamestring
Azure Storage Account connection name to use for generating temporary SAS tokenpendingUploadTypeenumrequired
The type of pending upload.BlobReference
Responses
blobReferenceBlobReferencerequired
Blob reference details.blobUristringrequired
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/PathstorageAccountArmIdstringrequired
ARM ID of the storage account to use.credentialSasCredentialrequired
SAS Credential definitionpendingUploadIdstringrequired
ID for this upload request.versionstring
Version of asset to be created if user did not specify version when initially creating uploadpendingUploadTypeenumrequired
The type of pending upload.BlobReference